package com.ruoyi.ss.bonus.service;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.ss.bonus.domain.Bonus;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.storeStaff.domain.StoreStaffVO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;
import com.ruoyi.ss.vipOrder.domain.VipOrderVO;

import java.util.List;

/**
 * @author wjh
 * 2024/8/20
 */
public interface BonusConverter {
    /**
     * 生产分成列表
     */
    List<Bonus> toPoList(SysDept platform, DeviceVO device, List<StoreStaffVO> staffList);

    /**
     * 转为分成数据
     */
    List<Bonus> toPoList(VipOrderVO order);

    /**
     * 转为分成数据
     * @param device 设备
     * @param bill 充值订单
     * @param channelType 渠道类型
     */
    List<Bonus> toPoList(DeviceVO device, TransactionBillVO bill, String channelType);
}
