package com.ruoyi.ss.user.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户统计数据
 * @author wjh
 * 2025/1/15
 */
@Data
public class UserStatisticsVO {

    @ApiModelProperty("余额")
    private BigDecimal balance;

    @ApiModelProperty("店铺数量")
    private Integer storeCount;

    @ApiModelProperty("设备数量")
    private Integer deviceCount;

    @ApiModelProperty("待分成金额")
    private BigDecimal waitBonusAmount;

    @ApiModelProperty("总收入")
    private BigDecimal totalIncome;

    @ApiModelProperty("总提现")
    private BigDecimal totalWithdraw;

    @ApiModelProperty("总消费")
    private BigDecimal totalConsume;

}
