package com.ruoyi.ss.vipOrder.service;

import com.ruoyi.ss.vipOrder.domain.VipOrder;
import com.ruoyi.ss.vipOrder.domain.bo.AddPayVipOrderBO;
import com.ruoyi.ss.vipOrder.domain.dto.AddPayVipOrderDTO;

/**
 * @author wjh
 * 2025/1/17
 */
public interface VipOrderConverter {

    /**
     * 下单 DTO 转为 BO
     */
    AddPayVipOrderBO toBO(AddPayVipOrderDTO dto);

    /**
     * BO转为订单数据
     */
    VipOrder toOrder(AddPayVipOrderBO bo);
}
